org.apache.ignite.internal.processors.igfs

## Class IgfsModeResolver

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsModeResolver

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsModeResolver
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsModeResolver()` Empty constructor required by `Externalizable`.
`IgfsModeResolver(IgfsMode dfltMode, ArrayList<T2<IgfsPath,IgfsMode>> modes)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasPrimaryChild(IgfsPath path)` Answers if the given path has an immediate child of PRIMARY mode.
`void` `readExternal(ObjectInput in)`
`IgfsMode` `resolveMode(IgfsPath path)` Resolves IGFS mode for the given path.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsModeResolver

    public IgfsModeResolver()

Empty constructor required by `Externalizable`.

#### IgfsModeResolver

    public IgfsModeResolver(IgfsMode dfltMode,
                            @Nullable
                            ArrayList<T2<IgfsPath,IgfsMode>> modes)
                     throws IgniteCheckedException

Constructor

Parameters:
  `dfltMode` - Default IGFS mode.
  `modes` - List of configured modes. The order is significant as modes are added in order of occurrence.
Throws:
  `IgniteCheckedException` - On error.

### Method Detail

#### resolveMode

    public IgfsMode resolveMode(IgfsPath path)

Resolves IGFS mode for the given path.

Parameters:
  `path` - IGFS path.
Returns:
  IGFS mode.

#### hasPrimaryChild

    public boolean hasPrimaryChild(IgfsPath path)

Answers if the given path has an immediate child of PRIMARY mode.

Parameters:
  `path` - The path to query.
Returns:
  If the given path has an immediate child of PRIMARY mode.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018